<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>al.DDRS.ReturnSector</name>
<version>0</version>
<engineversion>30</engineversion>
<description>Return Targ-Sector or Targ-Pos in Sector</description>
<arguments>
<argument index="1" name="Owner" type="Var/Race" desc="Owner" />
<argument index="2" name="Search.Sec" type="Var/Sector" desc="Sector to search" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><var>if&#160;not&#160;</var><var>$Search.Sec</var></line>
<line linenr="002" indent="&#160;"><var>$ED.Array&#160;=&#160;</var><text>&#160;get&#160;station&#160;array:&#160;of&#160;race&#160;</text><var>$Owner</var><text>&#160;class/type=</text><var>Equipment&#160;Dock</var></line>
<line linenr="003" indent="&#160;"><var>skip&#160;if&#160;not&#160;</var><var>$ED.Array</var></line>
<line linenr="004" indent="&#160;&#160;"><var>$No.ED&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$ED.Array</var></line>
<line linenr="005" indent="&#160;"><var>while&#160;</var><var>$No.ED</var></line>
<line linenr="006" indent="&#160;&#160;"><text>dec&#160;</text><var>$No.ED&#160;=&#160;</var></line>
<line linenr="007" indent="&#160;&#160;"><var>$Target&#160;=&#160;</var><var>$ED.Array</var><text>[</text><var>$No.ED</var><text>]</text></line>
<line linenr="008" indent="&#160;&#160;"><var>if&#160;not&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="009" indent="&#160;&#160;&#160;"><text>remove&#160;element&#160;from&#160;array&#160;</text><var>$ED.Array</var><text>&#160;at&#160;index&#160;</text><var>$No.ED</var></line>
<line linenr="010" indent="&#160;&#160;&#160;"><text>continue</text></line>
<line linenr="011" indent="&#160;&#160;"><text>end</text></line>
<line linenr="012" indent="&#160;&#160;"><var>$Sector&#160;=&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;get&#160;sector</text></line>
<line linenr="013" indent="&#160;&#160;"><var>$Sec.Owner&#160;=&#160;</var><var>$Sector&#160;-&gt;</var><text>&#160;get&#160;owner&#160;race</text></line>
<line linenr="014" indent="&#160;&#160;"><var>if&#160;</var><var>$Sec.Owner</var><text>&#160;</text><var>!=</var><text>&#160;</text><var>$Owner</var></line>
<line linenr="015" indent="&#160;&#160;&#160;"><text>remove&#160;element&#160;from&#160;array&#160;</text><var>$ED.Array</var><text>&#160;at&#160;index&#160;</text><var>$No.ED</var></line>
<line linenr="016" indent="&#160;&#160;&#160;"><text>continue</text></line>
<line linenr="017" indent="&#160;&#160;"><text>end</text></line>
<line linenr="018" indent="&#160;&#160;"><var>if&#160;not&#160;</var><var>$Sector&#160;-&gt;</var><text>&#160;is&#160;sector&#160;known&#160;by&#160;the&#160;player</text></line>
<line linenr="019" indent="&#160;&#160;&#160;"><text>remove&#160;element&#160;from&#160;array&#160;</text><var>$ED.Array</var><text>&#160;at&#160;index&#160;</text><var>$No.ED</var></line>
<line linenr="020" indent="&#160;&#160;&#160;"><text>continue</text></line>
<line linenr="021" indent="&#160;&#160;"><text>end</text></line>
<line linenr="022" indent="&#160;"><text>end</text></line>
<line linenr="023" indent="&#160;"></line>
<line linenr="024" indent="&#160;"><var>$No.ED&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$ED.Array</var></line>
<line linenr="025" indent="&#160;"><var>if&#160;</var><var>$No.ED</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$No.ED</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>3</var></line>
<line linenr="026" indent="&#160;&#160;"><var>$ED.Array&#160;=&#160;</var><text>&#160;get&#160;station&#160;array:&#160;of&#160;race&#160;</text><var>$Owner</var><text>&#160;class/type=</text><var>Equipment&#160;Dock</var></line>
<line linenr="027" indent="&#160;&#160;"><var>$No.ED&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$ED.Array</var></line>
<line linenr="028" indent="&#160;&#160;"><var>while&#160;</var><var>$No.ED</var></line>
<line linenr="029" indent="&#160;&#160;&#160;"><text>dec&#160;</text><var>$No.ED&#160;=&#160;</var></line>
<line linenr="030" indent="&#160;&#160;&#160;"><var>$Target&#160;=&#160;</var><var>$ED.Array</var><text>[</text><var>$No.ED</var><text>]</text></line>
<line linenr="031" indent="&#160;&#160;&#160;"><var>if&#160;not&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="032" indent="&#160;&#160;&#160;&#160;"><text>remove&#160;element&#160;from&#160;array&#160;</text><var>$ED.Array</var><text>&#160;at&#160;index&#160;</text><var>$No.ED</var></line>
<line linenr="033" indent="&#160;&#160;&#160;&#160;"><text>continue</text></line>
<line linenr="034" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="035" indent="&#160;&#160;&#160;"><var>$Sector&#160;=&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;get&#160;sector</text></line>
<line linenr="036" indent="&#160;&#160;&#160;"><var>$Sec.Owner&#160;=&#160;</var><var>$Sector&#160;-&gt;</var><text>&#160;get&#160;owner&#160;race</text></line>
<line linenr="037" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$Sec.Owner</var><text>&#160;</text><var>!=</var><text>&#160;</text><var>$Owner</var></line>
<line linenr="038" indent="&#160;&#160;&#160;&#160;"><text>remove&#160;element&#160;from&#160;array&#160;</text><var>$ED.Array</var><text>&#160;at&#160;index&#160;</text><var>$No.ED</var></line>
<line linenr="039" indent="&#160;&#160;&#160;&#160;"><text>continue</text></line>
<line linenr="040" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="041" indent="&#160;&#160;&#160;"><var>if&#160;</var><text>&#160;find&#160;station:&#160;sector=</text><var>$Sector</var><text>&#160;class&#160;or&#160;type=</text><var>Shipyard</var><text>&#160;race=</text><var>$Owner</var><text>&#160;flags=</text><var>[Find.Nearest]</var><text>&#160;refobj=</text><var>$Target</var><text>&#160;maxdist=</text><var>null</var><text>&#160;maxnum=</text><var>1</var><text>&#160;refpos=</text><var>null</var></line>
<line linenr="042" indent="&#160;&#160;&#160;&#160;"><text>remove&#160;element&#160;from&#160;array&#160;</text><var>$ED.Array</var><text>&#160;at&#160;index&#160;</text><var>$No.ED</var></line>
<line linenr="043" indent="&#160;&#160;&#160;&#160;"><text>continue</text></line>
<line linenr="044" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="045" indent="&#160;&#160;"><text>end</text></line>
<line linenr="046" indent="&#160;&#160;"></line>
<line linenr="047" indent="&#160;&#160;"><var>$No.ED&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$ED.Array</var></line>
<line linenr="048" indent="&#160;&#160;"><var>if&#160;</var><var>$No.ED</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$No.ED</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>2</var></line>
<line linenr="049" indent="&#160;&#160;&#160;"><var>$Random&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;0&#160;to&#160;</text><var>$No.ED</var><text>&#160;-&#160;1</text></line>
<line linenr="050" indent="&#160;&#160;&#160;"><var>$Target&#160;=&#160;</var><var>$ED.Array</var><text>[</text><var>$Random</var><text>]</text></line>
<line linenr="051" indent="&#160;&#160;&#160;"><var>skip&#160;if&#160;not&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="052" indent="&#160;&#160;&#160;&#160;"><var>$Return.Sec&#160;=&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;get&#160;sector</text></line>
<line linenr="053" indent="&#160;&#160;"><var>else&#160;if&#160;</var><var>$No.ED</var></line>
<line linenr="054" indent="&#160;&#160;&#160;"><var>$Target&#160;=&#160;</var><var>$ED.Array</var><text>[</text><var>0</var><text>]</text></line>
<line linenr="055" indent="&#160;&#160;&#160;"><var>skip&#160;if&#160;not&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="056" indent="&#160;&#160;&#160;&#160;"><var>$Return.Sec&#160;=&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;get&#160;sector</text></line>
<line linenr="057" indent="&#160;&#160;"><text>end</text></line>
<line linenr="058" indent="&#160;"><text>end</text></line>
<line linenr="059" indent="&#160;"><text>return&#160;</text><var>$Return.Sec</var></line>
<line linenr="060" indent="&#160;"></line>
<line linenr="061" indent=""><text>else</text></line>
<line linenr="062" indent="&#160;"><var>$Object.Array&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>0</var></line>
<line linenr="063" indent="&#160;"><var>$Station.Array&#160;=&#160;</var><var>$Search.Sec&#160;-&gt;</var><text>&#160;get&#160;station&#160;array&#160;from&#160;sector</text></line>
<line linenr="064" indent="&#160;"><var>skip&#160;if&#160;not&#160;</var><var>$Station.Array</var></line>
<line linenr="065" indent="&#160;&#160;"><text>append&#160;</text><var>$Station.Array</var><text>&#160;to&#160;array&#160;</text><var>$Object.Array</var></line>
<line linenr="066" interruptable="@" indent="&#160;"><var>$Gate.Array&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>al.DDRS.Gates</call><text>&#160;:&#160;</text><text>&#160;Sector=</text><var>$Search.Sec</var><text>&#160;</text><text>&#160;Distance=</text><var>null</var><text>&#160;</text><text>&#160;Return&#160;Array=</text><var>[TRUE]</var><text>&#160;</text><text>&#160;Position=</text><var>null</var></line>
<line linenr="067" indent="&#160;"><var>skip&#160;if&#160;not&#160;</var><var>$Gate.Array</var></line>
<line linenr="068" indent="&#160;&#160;"><text>append&#160;</text><var>$Gate.Array</var><text>&#160;to&#160;array&#160;</text><var>$Object.Array</var></line>
<line linenr="069" indent="&#160;"><var>$X&#160;=&#160;</var><var>0</var></line>
<line linenr="070" indent="&#160;"><var>$Y&#160;=&#160;</var><var>0</var></line>
<line linenr="071" indent="&#160;"><var>$Z&#160;=&#160;</var><var>0</var></line>
<line linenr="072" indent="&#160;"><var>$Count&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$Object.Array</var></line>
<line linenr="073" indent="&#160;"><var>while&#160;</var><var>$Count</var></line>
<line linenr="074" indent="&#160;&#160;"><text>dec&#160;</text><var>$Count&#160;=&#160;</var></line>
<line linenr="075" indent="&#160;&#160;"><var>$Array&#160;=&#160;</var><var>$Object.Array</var><text>[</text><var>$Count</var><text>]</text></line>
<line linenr="076" indent="&#160;&#160;"><var>$Size&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$Array</var></line>
<line linenr="077" indent="&#160;&#160;"><var>while&#160;</var><var>$Size</var></line>
<line linenr="078" indent="&#160;&#160;&#160;"><text>dec&#160;</text><var>$Size&#160;=&#160;</var></line>
<line linenr="079" indent="&#160;&#160;&#160;"><var>$Target&#160;=&#160;</var><var>$Array</var><text>[</text><var>$Size</var><text>]</text></line>
<line linenr="080" indent="&#160;&#160;&#160;"><var>skip&#160;if&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="081" indent="&#160;&#160;&#160;&#160;"><text>continue</text></line>
<line linenr="082" indent="&#160;&#160;&#160;"><var>$Targ.X&#160;=&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;get&#160;x&#160;position</text></line>
<line linenr="083" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$Targ.X</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>1</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$Targ.X</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>$X</var></line>
<line linenr="084" indent="&#160;&#160;&#160;&#160;"><var>$X&#160;=&#160;</var><var>$Targ.X</var></line>
<line linenr="085" indent="&#160;&#160;&#160;"><var>else&#160;if&#160;</var><var>$Targ.X</var><text>&#160;</text><var>&lt;=</var><text>&#160;</text><var>-1</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>-</var><text>&#160;</text><var>$Targ.X</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>$X</var></line>
<line linenr="086" indent="&#160;&#160;&#160;&#160;"><var>$X&#160;=&#160;</var><var>-</var><text>&#160;</text><var>$Targ.X</var></line>
<line linenr="087" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="088" indent="&#160;&#160;&#160;"><var>$Targ.Y&#160;=&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;get&#160;y&#160;position</text></line>
<line linenr="089" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$Targ.Y</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>1</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$Targ.Y</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>$Y</var></line>
<line linenr="090" indent="&#160;&#160;&#160;&#160;"><var>$Y&#160;=&#160;</var><var>$Targ.Y</var></line>
<line linenr="091" indent="&#160;&#160;&#160;"><var>else&#160;if&#160;</var><var>$Targ.Y</var><text>&#160;</text><var>&lt;=</var><text>&#160;</text><var>-1</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>-</var><text>&#160;</text><var>$Targ.Y</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>$Y</var></line>
<line linenr="092" indent="&#160;&#160;&#160;&#160;"><var>$Y&#160;=&#160;</var><var>-</var><text>&#160;</text><var>$Targ.Y</var></line>
<line linenr="093" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="094" indent="&#160;&#160;&#160;"><var>$Targ.Z&#160;=&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;get&#160;z&#160;position</text></line>
<line linenr="095" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$Targ.Z</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>1</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$Targ.Z</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>$Z</var></line>
<line linenr="096" indent="&#160;&#160;&#160;&#160;"><var>$Z&#160;=&#160;</var><var>$Targ.Z</var></line>
<line linenr="097" indent="&#160;&#160;&#160;"><var>else&#160;if&#160;</var><var>$Targ.Z</var><text>&#160;</text><var>&lt;=</var><text>&#160;</text><var>-1</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>-</var><text>&#160;</text><var>$Targ.Z</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>$Z</var></line>
<line linenr="098" indent="&#160;&#160;&#160;&#160;"><var>$Z&#160;=&#160;</var><var>-</var><text>&#160;</text><var>$Targ.Z</var></line>
<line linenr="099" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="100" indent="&#160;&#160;"><text>end</text></line>
<line linenr="101" indent="&#160;"><text>end</text></line>
<line linenr="102" indent="&#160;"><var>if&#160;</var><var>$X</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>12000</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$X</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>-12000</var></line>
<line linenr="103" indent="&#160;&#160;"><var>$Random&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;</text><var>15000</var><text>&#160;to&#160;</text><var>30001</var><text>&#160;-&#160;1</text></line>
<line linenr="104" indent="&#160;"><text>else</text></line>
<line linenr="105" indent="&#160;&#160;"><var>$Random&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;</text><var>8000</var><text>&#160;to&#160;</text><var>15001</var><text>&#160;-&#160;1</text></line>
<line linenr="106" indent="&#160;"><text>end</text></line>
<line linenr="107" indent="&#160;"><var>$X&#160;=&#160;</var><var>$X</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$Random</var></line>
<line linenr="108" indent="&#160;"><var>if&#160;</var><var>$Y</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>12000</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$Y</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>-12000</var></line>
<line linenr="109" indent="&#160;&#160;"><var>$Random&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;</text><var>15000</var><text>&#160;to&#160;</text><var>30001</var><text>&#160;-&#160;1</text></line>
<line linenr="110" indent="&#160;"><text>else</text></line>
<line linenr="111" indent="&#160;&#160;"><var>$Random&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;</text><var>8000</var><text>&#160;to&#160;</text><var>15001</var><text>&#160;-&#160;1</text></line>
<line linenr="112" indent="&#160;"><text>end</text></line>
<line linenr="113" indent="&#160;"><var>$Y&#160;=&#160;</var><var>$Y</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$Random</var></line>
<line linenr="114" indent="&#160;"><var>if&#160;</var><var>$Z</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>12000</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$Z</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>-12000</var></line>
<line linenr="115" indent="&#160;&#160;"><var>$Random&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;</text><var>15000</var><text>&#160;to&#160;</text><var>30001</var><text>&#160;-&#160;1</text></line>
<line linenr="116" indent="&#160;"><text>else</text></line>
<line linenr="117" indent="&#160;&#160;"><var>$Random&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;</text><var>8000</var><text>&#160;to&#160;</text><var>15001</var><text>&#160;-&#160;1</text></line>
<line linenr="118" indent="&#160;"><text>end</text></line>
<line linenr="119" indent="&#160;"><var>$Z&#160;=&#160;</var><var>$Z</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$Random</var></line>
<line linenr="120" indent="&#160;"><var>skip&#160;if&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;0&#160;to&#160;</text><var>2</var><text>&#160;-&#160;1</text></line>
<line linenr="121" indent="&#160;&#160;"><var>$X&#160;=&#160;</var><var>-</var><text>&#160;</text><var>$X</var></line>
<line linenr="122" indent="&#160;"><var>skip&#160;if&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;0&#160;to&#160;</text><var>2</var><text>&#160;-&#160;1</text></line>
<line linenr="123" indent="&#160;&#160;"><var>$Y&#160;=&#160;</var><var>-</var><text>&#160;</text><var>$Y</var></line>
<line linenr="124" indent="&#160;"><var>skip&#160;if&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;0&#160;to&#160;</text><var>2</var><text>&#160;-&#160;1</text></line>
<line linenr="125" indent="&#160;&#160;"><var>$Z&#160;=&#160;</var><var>-</var><text>&#160;</text><var>$Z</var></line>
<line linenr="126" indent="&#160;"><var>$Pos&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>4</var></line>
<line linenr="127" indent="&#160;"><var>$Pos</var><text>[</text><var>0</var><text>]&#160;=&#160;</text><var>$X</var></line>
<line linenr="128" indent="&#160;"><var>$Pos</var><text>[</text><var>1</var><text>]&#160;=&#160;</text><var>$Y</var></line>
<line linenr="129" indent="&#160;"><var>$Pos</var><text>[</text><var>2</var><text>]&#160;=&#160;</text><var>$Z</var></line>
<line linenr="130" indent="&#160;"><var>$Pos</var><text>[</text><var>3</var><text>]&#160;=&#160;</text><var>$Search.Sec</var></line>
<line linenr="131" interruptable="@" indent="&#160;"><var>$Exit.Pos&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>al.DDRS.SafePos</call><text>&#160;:&#160;</text><text>&#160;Position=</text><var>$Pos</var></line>
<line linenr="132" indent="&#160;"><text>return&#160;</text><var>$Exit.Pos</var></line>
<line linenr="133" indent=""><text>end</text></line>
<line linenr="134" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="al.DDRS.ReturnSector" /><sval type="int" val="30" /><sval type="string" val="Return Targ-Sector or Targ-Pos in Sector" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="array" size="23"><sval type="string" val="Owner" /><sval type="string" val="Search.Sec" /><sval type="string" val="ED.Array" /><sval type="string" val="No.ED" /><sval type="string" val="Target" /><sval type="string" val="Sector" /><sval type="string" val="Sec.Owner" /><sval type="string" val="Random" /><sval type="string" val="Return.Sec" /><sval type="string" val="Object.Array" /><sval type="string" val="Station.Array" /><sval type="string" val="Gate.Array" /><sval type="string" val="X" /><sval type="string" val="Y" /><sval type="string" val="Z" /><sval type="string" val="Count" /><sval type="string" val="Array" /><sval type="string" val="Size" /><sval type="string" val="Targ.X" /><sval type="string" val="Targ.Y" /><sval type="string" val="Targ.Z" /><sval type="string" val="Pos" /><sval type="string" val="Exit.Pos" /></sval><sval type="array" size="120"><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536857852" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="1069" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="12" /><sval type="int" val="2075" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610611704" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610607863" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="3" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="-536868348" /></sval><sval type="array" size="5"><sval type="int" val="136" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="4" /></sval><sval type="array" size="4"><sval type="int" val="703" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="5" /></sval><sval type="array" size="4"><sval type="int" val="701" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="6" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610608893" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="1" /><sval type="int" val="-2" /></sval><sval type="array" size="5"><sval type="int" val="136" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="4" /></sval><sval type="array" size="4"><sval type="int" val="803" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="-536866300" /></sval><sval type="array" size="5"><sval type="int" val="136" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="4" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="-1610600189" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="9" /><sval type="int" val="-2" /><sval type="int" val="4" /><sval type="int" val="-3" /></sval><sval type="array" size="6"><sval type="int" val="1069" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="12" /><sval type="int" val="2075" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610602999" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="3" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="-536863484" /></sval><sval type="array" size="5"><sval type="int" val="136" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="23" /></sval><sval type="array" size="4"><sval type="int" val="703" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="5" /></sval><sval type="array" size="4"><sval type="int" val="701" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="6" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610604029" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="1" /><sval type="int" val="-2" /></sval><sval type="array" size="5"><sval type="int" val="136" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="23" /></sval><sval type="array" size="18"><sval type="int" val="794" /><sval type="int" val="-1610603261" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="12" /><sval type="int" val="2037" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="106" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="5"><sval type="int" val="136" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="23" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="23" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="-1610601213" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="9" /><sval type="int" val="-2" /><sval type="int" val="4" /><sval type="int" val="-3" /></sval><sval type="array" size="4"><sval type="int" val="106" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="-1610601464" /></sval><sval type="array" size="4"><sval type="int" val="703" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="8" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="49" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610600187" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="-1610600184" /></sval><sval type="array" size="4"><sval type="int" val="703" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="8" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="119" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="9" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="1009" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="10" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610598648" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="10" /></sval><sval type="array" size="14"><sval type="int" val="102" /><sval type="string" val="al.DDRS.Gates" /><sval type="int" val="11" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610597880" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="11" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="12" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="13" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="14" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="15" /><sval type="int" val="131074" /><sval type="int" val="9" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610589431" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="15" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="16" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="15" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="17" /><sval type="int" val="131074" /><sval type="int" val="16" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610589687" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="17" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="17" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="131074" /><sval type="int" val="17" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="-536852729" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="66" /></sval><sval type="array" size="4"><sval type="int" val="740" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="18" /></sval><sval type="array" size="25"><sval type="int" val="104" /><sval type="int" val="-1610593533" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="18" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="18" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="7" /><sval type="int" val="-1" /><sval type="int" val="4" /><sval type="int" val="-2" /><sval type="int" val="9" /><sval type="int" val="-4" /><sval type="int" val="2" /><sval type="int" val="-5" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="12" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="18" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="77" /></sval><sval type="array" size="28"><sval type="int" val="104" /><sval type="int" val="-1610593019" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="18" /><sval type="int" val="4" /><sval type="int" val="-1" /><sval type="int" val="15" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="18" /><sval type="int" val="15" /><sval type="int" val="65555" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="8" /><sval type="int" val="-1" /><sval type="int" val="5" /><sval type="int" val="-2" /><sval type="int" val="9" /><sval type="int" val="65555" /><sval type="int" val="-4" /><sval type="int" val="2" /><sval type="int" val="-6" /></sval><sval type="array" size="10"><sval type="int" val="104" /><sval type="int" val="12" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="18" /><sval type="int" val="15" /><sval type="int" val="65555" /><sval type="int" val="2" /><sval type="int" val="65555" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="741" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="19" /></sval><sval type="array" size="25"><sval type="int" val="104" /><sval type="int" val="-1610591997" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="19" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="19" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="7" /><sval type="int" val="-1" /><sval type="int" val="4" /><sval type="int" val="-2" /><sval type="int" val="9" /><sval type="int" val="-4" /><sval type="int" val="2" /><sval type="int" val="-5" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="13" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="19" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="83" /></sval><sval type="array" size="28"><sval type="int" val="104" /><sval type="int" val="-1610591483" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="19" /><sval type="int" val="4" /><sval type="int" val="-1" /><sval type="int" val="15" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="19" /><sval type="int" val="15" /><sval type="int" val="65555" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="8" /><sval type="int" val="-1" /><sval type="int" val="5" /><sval type="int" val="-2" /><sval type="int" val="9" /><sval type="int" val="65555" /><sval type="int" val="-4" /><sval type="int" val="2" /><sval type="int" val="-6" /></sval><sval type="array" size="10"><sval type="int" val="104" /><sval type="int" val="13" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="19" /><sval type="int" val="15" /><sval type="int" val="65555" /><sval type="int" val="2" /><sval type="int" val="65555" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="742" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="20" /></sval><sval type="array" size="25"><sval type="int" val="104" /><sval type="int" val="-1610590461" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="20" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="20" /><sval type="int" val="131074" /><sval type="int" val="14" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="7" /><sval type="int" val="-1" /><sval type="int" val="4" /><sval type="int" val="-2" /><sval type="int" val="9" /><sval type="int" val="-4" /><sval type="int" val="2" /><sval type="int" val="-5" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="14" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="20" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="89" /></sval><sval type="array" size="28"><sval type="int" val="104" /><sval type="int" val="-1610589947" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="20" /><sval type="int" val="4" /><sval type="int" val="-1" /><sval type="int" val="15" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="20" /><sval type="int" val="15" /><sval type="int" val="65555" /><sval type="int" val="131074" /><sval type="int" val="14" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="8" /><sval type="int" val="-1" /><sval type="int" val="5" /><sval type="int" val="-2" /><sval type="int" val="9" /><sval type="int" val="65555" /><sval type="int" val="-4" /><sval type="int" val="2" /><sval type="int" val="-6" /></sval><sval type="array" size="10"><sval type="int" val="104" /><sval type="int" val="14" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="20" /><sval type="int" val="15" /><sval type="int" val="65555" /><sval type="int" val="2" /><sval type="int" val="65555" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="66" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="62" /></sval><sval type="array" size="25"><sval type="int" val="104" /><sval type="int" val="-1610588669" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="4" /><sval type="int" val="12000" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="4" /><sval type="int" val="-12000" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="7" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /><sval type="int" val="9" /><sval type="int" val="-4" /><sval type="int" val="2" /><sval type="int" val="-5" /></sval><sval type="array" size="6"><sval type="int" val="110" /><sval type="int" val="7" /><sval type="int" val="4" /><sval type="int" val="15000" /><sval type="int" val="4" /><sval type="int" val="30001" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="95" /></sval><sval type="array" size="6"><sval type="int" val="110" /><sval type="int" val="7" /><sval type="int" val="4" /><sval type="int" val="8000" /><sval type="int" val="4" /><sval type="int" val="15001" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="12" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /></sval><sval type="array" size="25"><sval type="int" val="104" /><sval type="int" val="-1610587389" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="4" /><sval type="int" val="12000" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="4" /><sval type="int" val="-12000" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="7" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /><sval type="int" val="9" /><sval type="int" val="-4" /><sval type="int" val="2" /><sval type="int" val="-5" /></sval><sval type="array" size="6"><sval type="int" val="110" /><sval type="int" val="7" /><sval type="int" val="4" /><sval type="int" val="15000" /><sval type="int" val="4" /><sval type="int" val="30001" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="100" /></sval><sval type="array" size="6"><sval type="int" val="110" /><sval type="int" val="7" /><sval type="int" val="4" /><sval type="int" val="8000" /><sval type="int" val="4" /><sval type="int" val="15001" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="13" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /></sval><sval type="array" size="25"><sval type="int" val="104" /><sval type="int" val="-1610586109" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="14" /><sval type="int" val="4" /><sval type="int" val="12000" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="14" /><sval type="int" val="4" /><sval type="int" val="-12000" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="7" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /><sval type="int" val="9" /><sval type="int" val="-4" /><sval type="int" val="2" /><sval type="int" val="-5" /></sval><sval type="array" size="6"><sval type="int" val="110" /><sval type="int" val="7" /><sval type="int" val="4" /><sval type="int" val="15000" /><sval type="int" val="4" /><sval type="int" val="30001" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="105" /></sval><sval type="array" size="6"><sval type="int" val="110" /><sval type="int" val="7" /><sval type="int" val="4" /><sval type="int" val="8000" /><sval type="int" val="4" /><sval type="int" val="15001" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="14" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="14" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="106" /><sval type="int" val="-536843257" /><sval type="int" val="4" /><sval type="int" val="2" /></sval><sval type="array" size="10"><sval type="int" val="104" /><sval type="int" val="12" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="15" /><sval type="int" val="65555" /><sval type="int" val="2" /><sval type="int" val="65555" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="106" /><sval type="int" val="-536842745" /><sval type="int" val="4" /><sval type="int" val="2" /></sval><sval type="array" size="10"><sval type="int" val="104" /><sval type="int" val="13" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="15" /><sval type="int" val="65555" /><sval type="int" val="2" /><sval type="int" val="65555" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="106" /><sval type="int" val="-536842233" /><sval type="int" val="4" /><sval type="int" val="2" /></sval><sval type="array" size="10"><sval type="int" val="104" /><sval type="int" val="14" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="14" /><sval type="int" val="15" /><sval type="int" val="65555" /><sval type="int" val="2" /><sval type="int" val="65555" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="21" /><sval type="int" val="4" /><sval type="int" val="4" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="21" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="12" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="21" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="13" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="21" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="14" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="21" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="al.DDRS.SafePos" /><sval type="int" val="22" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="21" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="22" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="2"><sval type="array" size="2"><sval type="int" val="16" /><sval type="string" val="Owner" /></sval><sval type="array" size="2"><sval type="int" val="14" /><sval type="string" val="Sector to search" /></sval></sval><sval type="array" size="33"><sval type="array" size="2"><sval type="int" val="10" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="15" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="15" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="18" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="18" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="19" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="19" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="29" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="29" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="34" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="34" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="37" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="37" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="38" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="38" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="49" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="49" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="50" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="51" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="71" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="77" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="83" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="89" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="90" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="91" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="94" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="95" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="99" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="104" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="105" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="119" /><sval type="int" val="4" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
